<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/extern/decimal/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/gds/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds</h1>
<div class="docSummary">
<div class="block"><html>
    <!-- TODO: To be rewritten --></div>
</div>
<p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a></td>
<td class="colLast">
<div class="block">Instance of this interface represents a BLOB Parameter Buffer from the
 Firebird API documentation and specifies attributes for
 <a href="../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForOutput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-"><code>FbDatabase.createBlobForOutput(org.firebirdsql.gds.ng.FbTransaction, BlobParameterBuffer)</code></a>
 or
 <a href="../../../org/firebirdsql/gds/ng/FbDatabase.html#createBlobForInput-org.firebirdsql.gds.ng.FbTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-"><code>FbDatabase.createBlobForInput(org.firebirdsql.gds.ng.FbTransaction, BlobParameterBuffer, long)</code></a>
 operations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/BlrConstants.html" title="interface in org.firebirdsql.gds">BlrConstants</a></td>
<td class="colLast">
<div class="block">Constants for the blr.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds">ConnectionParameterBuffer</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a></td>
<td class="colLast">
<div class="block">Instance of this interface represents a Database Parameter Buffer from the
 Firebird API documentation and specifies the attributes for the
 current connection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/EventHandle.html" title="interface in org.firebirdsql.gds">EventHandle</a></td>
<td class="colLast">
<div class="block">Handle to internal event-handling structures.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/EventHandler.html" title="interface in org.firebirdsql.gds">EventHandler</a></td>
<td class="colLast">
<div class="block">A callback handler interface for event handling.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ISCConstants.html" title="interface in org.firebirdsql.gds">ISCConstants</a></td>
<td class="colLast">
<div class="block">Constants for Firebird features, parameter blocks and errors.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/JaybirdErrorCodes.html" title="interface in org.firebirdsql.gds">JaybirdErrorCodes</a></td>
<td class="colLast">
<div class="block">Constants for Jaybird specific error codes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/Parameter.html" title="interface in org.firebirdsql.gds">Parameter</a></td>
<td class="colLast">
<div class="block">Interface for parameters stored in a <a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ParameterBuffer</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a></td>
<td class="colLast">
<div class="block">Instance of this interface represents a Parameter Buffer it is extended
 by various parameter buffer interfaces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></td>
<td class="colLast">
<div class="block">Instance of this interface represents a Service Parameter Buffer from the
 Firebird API documentation and specifies the attributes for the  Services API
 connection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></td>
<td class="colLast">
<div class="block">Instance of this interface represents a Service Request Buffer from the
 Firebird API documentation and specifies the attributes for the Services API
 operation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a></td>
<td class="colLast">
<div class="block">Instances of this interface represent Transaction Parameter Buffer from the
 Firebird API.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ClumpletReader.html" title="class in org.firebirdsql.gds">ClumpletReader</a></td>
<td class="colLast">
<div class="block">Reader for clumplets, similar to the implementation <code>ClumpletReader.cpp</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/GDSExceptionHelper.html" title="class in org.firebirdsql.gds">GDSExceptionHelper</a></td>
<td class="colLast">
<div class="block">This class returns messages for the specified error code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/GDSExceptionHelper.GDSMessage.html" title="class in org.firebirdsql.gds">GDSExceptionHelper.GDSMessage</a></td>
<td class="colLast">
<div class="block">This class wraps message template obtained from isc_error_msg.properties
 file and allows to set parameters to the message.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/JaybirdSystemProperties.html" title="class in org.firebirdsql.gds">JaybirdSystemProperties</a></td>
<td class="colLast">
<div class="block">Class to access Jaybird-specific system properties from a single place.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ParameterBufferHelper.html" title="class in org.firebirdsql.gds">ParameterBufferHelper</a></td>
<td class="colLast">
<div class="block">This class maps the extended JDBC properties to parameter buffer types (for transaction and database
 parameter buffers).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ParameterBufferHelper.DpbParameterType.html" title="class in org.firebirdsql.gds">ParameterBufferHelper.DpbParameterType</a></td>
<td class="colLast">
<div class="block">Dpb type, which is the name, the key for the dpb and its value type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/VaxEncoding.html" title="class in org.firebirdsql.gds">VaxEncoding</a></td>
<td class="colLast">
<div class="block">Helper methods for decoding Vax style (little endian) integers as used by Firebird from byte arrays.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ClumpletReader.ClumpletType.html" title="enum in org.firebirdsql.gds">ClumpletReader.ClumpletType</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ClumpletReader.Kind.html" title="enum in org.firebirdsql.gds">ClumpletReader.Kind</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ParameterBufferHelper.DpbValueType.html" title="enum in org.firebirdsql.gds">ParameterBufferHelper.DpbValueType</a></td>
<td class="colLast">
<div class="block">Enum with the various Dpb value types, and conversion from String to that type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/ParameterTagMapping.html" title="enum in org.firebirdsql.gds">ParameterTagMapping</a></td>
<td class="colLast">
<div class="block">Mapping of connection parameter buffer item tags.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds">GDSException</a></td>
<td class="colLast">
<div class="block">A GDS-specific exception</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package org.firebirdsql.gds Description">Package org.firebirdsql.gds Description</h2>
<div class="block"><html>
    <!-- TODO: To be rewritten -->
    <p>TODO: To be rewritten </p>
        <p>
        This package contains classes defining Firebird API for Java language
        that applications can use to access databases directly without JDBC 
        interfaces. This is probably most efficient way to access the database, 
        however also it is the most complicated one and requires deep knowledge
        of the Firebird API. For better understanding please refer to the 
        "InterBase 6 API Guide" published by Borland and released together with
        the open-sourcing the InterBase code, a predecessor of Firebird.
        </p>
        <p>
        Please refer to the documentation in the javadoc comments as well as 
        to the source code for more information.
        </p>
</html></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/extern/decimal/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/gds/impl/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/gds/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
